首页 新闻 搜索 专区 学院

Pytorch下载求助

0
[已解决问题] 解决于 2020-03-20 12:00

我使用的是windows7,Python3.6.5,想使用pip安装Pytorch最新版本。该怎么安装???

星空之忆的主页 星空之忆 | 初学一级 | 园豆:3
提问于:2020-03-08 13:34
< >
分享
最佳答案
2
python3 -m pip install --upgrade torch torchvision -i https://pypi.tuna.tsinghua.edu.cn/simple
奖励园豆:5
ycyzharry | 高人七级 |园豆:22248 | 2020-03-08 14:22

不行呀

星空之忆 | 园豆:3 (初学一级) | 2020-03-08 19:33
其他回答(2)
0

哪里不行? 代码贴出来, 不然我怎么知道什么原因?

codworm | 园豆:202 (菜鸟二级) | 2020-03-08 20:20
0

pip3看看环境有没有配置
然后再pip3 install torchvision

小小咸鱼YwY | 园豆:2489 (老鸟四级) | 2020-03-09 13:24

安装torchvision时出错了

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 09:17

@星空之忆awa: 错误信息呢

支持(0) 反对(0) 小小咸鱼YwY | 园豆:2489 (老鸟四级) | 2020-03-10 09:19

No module named 'tools.nnwrap'

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 09:19

@星空之忆awa:
pip install torch==1.4.0+cu92 torchvision==0.5.0+cu92 -f https://download.pytorch.org/whl/torch_stable.html
如果不行去官网看看下载方式https://pytorch.org/get-started/locally/

支持(0) 反对(0) 小小咸鱼YwY | 园豆:2489 (老鸟四级) | 2020-03-10 09:24

@小小咸鱼YwY: 就是官网的命令我也用了,但是还是出错,我才来求助的啊。。

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 09:27

@小小咸鱼YwY: 总不可能官网都不知道吧

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 09:28

@星空之忆awa: 我刚刚试了一下正常安装没问题,你升级一下pip吧,pip install --upgrade pip

支持(0) 反对(0) 小小咸鱼YwY | 园豆:2489 (老鸟四级) | 2020-03-10 09:34

@小小咸鱼YwY: 好的,多谢

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 10:56

@小小咸鱼YwY:然而升级出错了……

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 13:22

@星空之忆awa: 错误信息

支持(0) 反对(0) 小小咸鱼YwY | 园豆:2489 (老鸟四级) | 2020-03-10 13:24

@小小咸鱼YwY: 错误信息很多……

支持(0) 反对(0) 星空之忆 | 园豆:3 (初学一级) | 2020-03-10 14:36
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册